import 'package:flutter/material.dart';
import 'package:nuntio_hera/hera/hera.dart';
import 'package:nuntio_hera/hera_app/hera_app.dart';

import 'home/home.dart';

void main() async {
  WidgetsFlutterBinding.ensureInitialized();
  await Hera.initialize(
    //apiUrl: 'http://localhost:9001',
    credentials: NoTransportCredentials(),
    apiUrl: 'http://localhost:9010',
    //credentials: NoTransportCredentials(),
    redirectUrl: "http://localhost:8080/callback",
    namespace: '14e274c8-2ffa-440d-938b-d1391ab8d65a',
  );

  runApp(HeraApp(child: Home()));
}
