import 'package:grpc/grpc.dart';
import 'package:nuntio_core/credentials/credentials.dart';
import 'package:nuntio_core/models/hera.pbgrpc.dart';

class HeraChannel {
  static Future<HeraClient> publicServiceClient(
      String url, TransportCredentials transportCredentials) async {
    Uri apiUri = Uri.parse(url);
    ChannelCredentials channelCredentials =
        await transportCredentials.getTransportCredentials();
    return HeraClient(ClientChannel(apiUri.host,
        port: apiUri.port,
        options: ChannelOptions(credentials: channelCredentials)));
  }
}
